Bug 68278 - Add support for WiFi based geolocation
Summary: Add support for WiFi based geolocation
Status: RESOLVED FIXED
Alias: None
Product: GeoClue
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Geoclue Bugs
QA Contact: Geoclue Bugs
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-19 13:47 UTC by Zeeshan Ali
Modified: 2014-01-19 20:36 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Zeeshan Ali 2013-08-19 13:47:07 UTC
Geoclue should be able to locate users using wife-based geolocation. With 3G modems not as common as we'd want them to be, this is very important cause geoip usually gives us city-level accuracy at best.

My plan is to use this service as its the only free/open service I can find: http://www.openwlanmap. They don't provide a web API but rather a library. We could use this library on the (geoip) server-side. The library is under GPL but developer put up an exception in the licence for us to be able to link to it from LGPL code. The developer seemed even open to the idea of changing the complete license to LGPL so we could ask him to do that if there is a need.
Comment 1 Elad Alfassa 2013-10-29 20:46:21 UTC
You should consider using https://location.services.mozilla.com/
Comment 2 virtual_worlds 2013-10-30 12:22:44 UTC
@elad: What is the advantage in comparison to OWLMap? Mozilla has less than 700000 unique APs, OpenWLANMAp is just breaking the 7 million barrier...
Comment 3 Zeeshan Ali 2013-11-01 16:54:13 UTC
(In reply to comment #2)
> @elad: What is the advantage in comparison to OWLMap? Mozilla has less than
> 700000 unique APs, OpenWLANMAp is just breaking the 7 million barrier...

I imagine theirs will get bigger much faster, Mozilla being a much more known brand and having millions of users of their main product, firefox.

Having said that, I've discussed with developers of both services and I think we'll want to support both services to ensure we always get the location, though we'll have to trust one over the other.
Comment 4 Zeeshan Ali 2014-01-19 20:35:46 UTC
Just pushed patches to git master that implement a wifi-geolocation source to geoclue (and makes it easier to add new sources in future) that makes use of Mozilla Location Service pointed out by Elad in comment#1.

Once we have a GPS source, I'm hoping that we can provide a service as part of geoclue that harvests and submits wifi and cell tower data for Mozilla.

As for OpenWLANMap, I'll be more than happy to incorporate another source for that as well but that will have to wait for a long time I'm afraid unless someone provides patches.


bug/show.html.tmpl processed on Mar 29, 2017 at 19:01:23.
(provided by the Example extension).